// tbale排序
export function sorter(columns) {
    // 添加排序
    columns.forEach((t) => {
        //去掉序号列
        if (t.dataIndex === '_row_count' || t.dataIndex == 'action' || t.dataIndex == 'operation') {
            return
        }
        t.sorter = function (a, b) {
            let a1 = a[t.dataIndex] || ''
            let b1 = b[t.dataIndex] || ''
            if (typeof a1 === 'number') {
                return a1 - b1
            }
            return a1.localeCompare(b1)
        }
    })
    return columns
}